compose_run API
string · uuid · requiredstring · uuid · requiredstring · uuid · requiredinteger · int32 · requiredbooleanboolean
Proxy
HTTP reverse proxy — wire a DNS domain to an exposed port
Create HTTP reverse proxy
POST
/api/v1
/projects/{projectId}/stacks/{stackId}/proxy
auth_token (cookie)
or
Bearer
Wire an existing DNS domain to an exposed port. Creates a reverse proxy on the backbone and links it to the port expose.
path Parameters
projectIdProject unique identifier
stackIdStack unique identifier
Create HTTP reverse proxy › Request Body
dns_idUUID of the DNS record to link
portPublic port of the expose to attach the proxy to
Example: 30080
tls_enableEnable TLS on the proxy
Default: false
tls_forceForce HTTPS redirect
Default: false
Create HTTP reverse proxy › Responses
Proxy created and port expose updated
No data returned
